### Virtual Method

# Ide PreferencesAddin load

#### Declaration

    void
    load (
      IdePreferencesAddin* self,
      DzlPreferences* preferences
    )

#### Description

This interface method is called when a preferences addin is initialized. It could be initialized from multiple preferences implementations, so consumers should use the `DzlPreferences` interface to add their preferences controls to the container.

Such implementations might include a preferences dialog window, or a preferences widget which could be rendered as a perspective.

Available since: | 3.32

#### Parameters

`preferences` | `DzlPreferences`
| The preferences container implementation.
| The data is owned by the caller of the function.